<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__capsense__electrode__config__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_capsense_electrode_config_t</compoundname>
    <includes local="no">cy_capsense_structure.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__capsense__electrode__config__t_1a2cdfd659151f2fc6d9e0f49aaa2058f7" kind="variable" mutable="no" prot="public" static="no">
        <type>const <ref kindref="compound" refid="structcy__stc__capsense__pin__config__t">cy_stc_capsense_pin_config_t</ref> *</type>
        <definition>const cy_stc_capsense_pin_config_t* cy_stc_capsense_electrode_config_t::ptrPin</definition>
        <argsstring />
        <name>ptrPin</name>
        <briefdescription>
<para>Pointer to pin configuration structure. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="288" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_structure.h" line="288" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__electrode__config__t_1a3f987328f5df9cd9fe4f6b4daf80ec8e" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_electrode_config_t::type</definition>
        <argsstring />
        <name>type</name>
        <briefdescription>
<para>Electrode type <ref kindref="member" refid="group__group__capsense__enums_1ga8d3df6022888bbb21e3e64e2b045274d">cy_en_capsense_eltd_t</ref>. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="289" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_structure.h" line="289" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__electrode__config__t_1a2ff8c3a5d8d8bd2fe260cf353064f54e" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_electrode_config_t::numPins</definition>
        <argsstring />
        <name>numPins</name>
        <briefdescription>
<para>Total number of pins in this sensor. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="290" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_structure.h" line="290" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Electrode objects configuration structure. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="126">
        <label>cy_stc_capsense_electrode_config_t</label>
        <link refid="structcy__stc__capsense__electrode__config__t" />
        <childnode refid="127" relation="usage">
          <edgelabel>ptrPin</edgelabel>
        </childnode>
      </node>
      <node id="127">
        <label>cy_stc_capsense_pin_config_t</label>
        <link refid="structcy__stc__capsense__pin__config__t" />
      </node>
    </collaborationgraph>
    <location bodyend="291" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="286" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_structure.h" line="287" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__capsense__electrode__config__t_1a2ff8c3a5d8d8bd2fe260cf353064f54e" virt="non-virtual"><scope>cy_stc_capsense_electrode_config_t</scope><name>numPins</name></member>
      <member prot="public" refid="structcy__stc__capsense__electrode__config__t_1a2cdfd659151f2fc6d9e0f49aaa2058f7" virt="non-virtual"><scope>cy_stc_capsense_electrode_config_t</scope><name>ptrPin</name></member>
      <member prot="public" refid="structcy__stc__capsense__electrode__config__t_1a3f987328f5df9cd9fe4f6b4daf80ec8e" virt="non-virtual"><scope>cy_stc_capsense_electrode_config_t</scope><name>type</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>